.contenedor {
  display: grid;
  grid-gap: 20px;
  grid-template-columns: repeat(3, 1fr);
  grid-template-areas:
    "header     header      header"
    "sidebar1   contenido   sidebar2"
    "sidebar1   widgets     sidebar2"
    "footer     footer      footer";
  grid-template-rows: repeat(3, auto);
}

.contenedor .header {
  background-color: orange;
  grid-area: header;
}

.contenedor .sidebar1 {
  background-color: lightgray;
  grid-area: sidebar1;
}

.contenedor .contenido {
  background-color: white;
  color: black;
  grid-area: contenido;
}

.contenedor .sidebar2 {
  background-color: lightgray;
  grid-area: sidebar2;
}

.contenedor .widget {
  background-color: orange;
  grid-area: widget;
}

.contenedor .footer {
  background-color: black;
  grid-area: footer;
}
